%define module	SciPy
%define name	python-%{module}
%define version 0.3.2
%define release 1

Summary:	Scientific tools for Python
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://www.scipy.org/download/scipy/src/SciPy_complete-%{version}.tar.bz2
# Source1:	http://www.netlib.org/blas/blas.tar.bz2
# Source2:	http://www.netlib.org/lapack/lapack.tar.bz2
License:	GPL
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://www.scipy.org
BuildRequires:	python-numeric-devel gcc-g77 f2py python-devel fftw2-devel blas-devel lapack-devel
Requires:	python-numeric

%description
SciPy is an open source library of scientific tools for Python. SciPy
supplements the popular Numeric module, gathering a variety of high level
science and engineering modules together as a single package.

SciPy includes modules for graphics and plotting, optimization, integration,
special functions, signal and image processing, genetic algorithms, ODE 
solvers, and others.

%prep
%setup -n SciPy_complete-%version -q
# mkdir BLAS
# cd BLAS
# tar xjf %{SOURCE1}
# cd -
# 
# tar xjf %{SOURCE2}

%build
# export BLAS_SRC=BLAS
# export LAPACK_SRC=LAPACK
# export BLAS=None
# export LAPACK=None
# export ATLAS=None

export BLAS=/usr/lib/libblas.a
export LAPACK=/usr/lib/liblapack.a
export ATLAS=None

python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

export BLAS=/usr/lib/libblas.a
export LAPACK=/usr/lib/liblapack.a
export ATLAS=None

python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

# test
# export PYTHONPATH=$RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/
# echo $PYTHONPATH
# python -c "import scipy; scipy.test(level=1)"

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc *.txt

%changelog
* Wed Mar 30 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0.3.2-1mdk
- initial contrib
